# This dependency has been added to track external packages building against
# our private headers. It is ok if internal packages depend on the ABI one.
libqt5gui5t64: symbols-declares-dependency-on-other-package qtbase-abi-*
# This is an alternative dependency, as libqt5gui5-gles provides the same ABI.
# Symbols which are present only in libqt5gui5t64 do not get this dependency.
libqt5gui5t64: symbols-declares-dependency-on-other-package libqt5gui5-gles (libQt5Gui.so.5) [symbols]
# libQt5EglDeviceIntegration and libQt5XcbQpa are actually private libraries
# *only* used by their respective platforms plugins. Sadly instead of being
# installed into a proper place like /usr/lib/<arch-triplet>/qt5/ they are
# being installed into /usr/lib/.
# We are not shipping headers for them and the only binaries that depend on
# them are shipped within this very same binary package, so it's safe to
# override this Lintian warning.
libqt5gui5t64: ships-undeclared-shared-library libQt5EglFSDeviceIntegration 5 for usr/lib/*/libQt5EglFSDeviceIntegration.so.5.*
libqt5gui5t64: ships-undeclared-shared-library libQt5EglFsKmsSupport 5 for usr/lib/*/libQt5EglFsKmsSupport.so.5.*
libqt5gui5t64: ships-undeclared-shared-library libQt5XcbQpa 5 for usr/lib/*/libQt5XcbQpa.so.5.*
# libQt5EglDeviceIntegration and libQt5XcbQpa are actually private libraries
# *only* used by their respective platforms plugins. Sadly instead of being
# installed into a proper place like /usr/lib/<arch-triplet>/qt5/ they are
# being installed into /usr/lib/.
# We are not shipping headers for them and the only binaries that depend on
# them are shipped within this very same binary package, so it's safe to
# override this Lintian warning.
libqt5gui5t64: shared-library-symbols-not-tracked libQt5EglFSDeviceIntegration 5 for usr/lib/*/libQt5EglFSDeviceIntegration.so.5.*
libqt5gui5t64: shared-library-symbols-not-tracked libQt5EglFsKmsSupport 5 for usr/lib/*/libQt5EglFsKmsSupport.so.5.*
libqt5gui5t64: shared-library-symbols-not-tracked libQt5XcbQpa 5 for usr/lib/*/libQt5XcbQpa.so.5.*
libqt5gui5t64: package-name-doesnt-match-sonames libQt5EglFSDeviceIntegration5 libQt5EglFsKmsSupport5 libQt5Gui5 libQt5XcbQpa5
